libquicktime

- Main Page
- Modules
- Data Structures
- Files

Macros
Audio codec identifiers

Audio codec identifiers. More...

## Macros
#define | QUICKTIME_RAWAUDIO "raw "
| Unsigned 8 bit.
#define | QUICKTIME_IMA4 "ima4"
| IMA4.
#define | QUICKTIME_TWOS "twos"
| Twos compliment 16 bit.
#define | QUICKTIME_ULAW "ulaw"
| mu-law 2:1
#define | QUICKTIME_VORBIS "OggS"
| Ogg Vorbis.
#define | QUICKTIME_MP3 ".mp3"
| MP3.

## Detailed Description

Audio codec identifiers.

These definintions are for some more commonly used codecs. They can be used as the compressor argument for quicktime_set_audio . There is, however, no way to check, if a codec is accually present on the system. It should also be noted, that libquicktime supports more codecs, than are listed here. For these reasons, it's strongly recommended to use the more sophisticated codec selection mechanism via the Codec registry .

## Macro Definition Documentation

#define QUICKTIME_RAWAUDIO "raw "

Unsigned 8 bit.

Should always be there, can safely be hardcoded.

#define QUICKTIME_IMA4 "ima4"

IMA4.

Should always be there, can safely be hardcoded.

#define QUICKTIME_TWOS "twos"

Twos compliment 16 bit.

Should always be there, can safely be hardcoded.

#define QUICKTIME_ULAW "ulaw"

mu-law 2:1

Should always be there, can safely be hardcoded.

#define QUICKTIME_VORBIS "OggS"

Ogg Vorbis.

This depends on libvorbis and creates incompatible streams, which won't play anywhere except libquicktime and perhaps quicktime4linux. Never hardcode this.

#define QUICKTIME_MP3 ".mp3"

MP3.

This depends on lame, which might or might not be there. Never hardcode this.